/**
 * @brief 按钮点击事件回调方法一：通过编辑器对cc.Button的属性进行拖放操作进行控制
 * @author Peng Chaowen
 * @web www.pcwen.top
 * @version 1.0
 * @date 2018/12/12
 */

cc.Class({
    extends: cc.Component,

    properties: {},

    btnClick1: function (event, customEventData) {
        //这里 event 是一个 Touch Event 对象，你可以通过 event.target 取到事件的发送节点
        var node = event.target;
        var button = node.getComponent(cc.Button);
        //这里的 customEventData 参数就等于你之前设置的 "click1 user data"
        cc.log("node=", node.name, " event=", event.type, " data=", customEventData);
    }
});
