/**
 * @brief 按钮点击事件回调方法三：通过注册TOUCH事件进行控制
 * @author Peng Chaowen
 * @web www.pcwen.top
 * @version 1.0
 * @date 2018/12/12
 */


cc.Class({
    extends: cc.Component,

    properties: {},

    onLoad() {
        this.node.on(cc.Node.EventType.TOUCH_START, function (event) {
            cc.log("TOUCH_START event=", event.type);
        });

        this.node.on(cc.Node.EventType.TOUCH_MOVE, function (event) {
            cc.log("TOUCH_MOVE event=", event.type);
        });

        this.node.on(cc.Node.EventType.TOUCH_END, function (event) {
            cc.log("TOUCH_END event=", event.type);
        });
    }
});
