"use strict";
cc._RF.push(module, '3c47feO0K1NqJ8/IdpWRfqX', 'BtnClick2');
// scripts/BtnClick2.js

"use strict";

/**
 * @brief 按钮点击事件回调方法二：代码控制
 * @author Peng Chaowen
 * @version 1.0
 * @date 2018/12/12
 */

cc.Class({
    extends: cc.Component,

    properties: {},

    onLoad: function onLoad() {
        var clickEventHandler = new cc.Component.EventHandler();
        clickEventHandler.target = this.node; //这个 node 节点是你的事件处理代码组件所属的节点，这里就是Button2
        clickEventHandler.component = "BtnClick2"; //这个是脚本文件名
        clickEventHandler.handler = "btnClick2"; //回调函名称
        clickEventHandler.customEventData = "click2 user data"; //用户数据

        var button = this.node.getComponent(cc.Button); //获取cc.Button组件
        button.clickEvents.push(clickEventHandler); //增加处理
    },

    btnClick2: function btnClick2(event, customEventData) {
        //这里 event 是一个 Touch Event 对象，你可以通过 event.target 取到事件的发送节点
        var node = event.target;
        var button = node.getComponent(cc.Button);
        //这里的 customEventData 参数就等于你之前设置的 "click2 user data"
        cc.log("node=", node.name, " event=", event.type, " data=", customEventData);
    }
});

cc._RF.pop();